/services/customer-support/v1/customer-support/tickets/update
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
ticket_id |
integer | Yes | ||
status |
string|null
new, open, pending, resolved, closed, |
No | ||
priority |
string|null
low, normal, high, urgent, |
No | ||
assigned_to |
integer|null | No | ||
channel_id |
integer|null | No | ||
project_id |
integer|null | No | ||
ticket_project_id |
integer|null | No | ||
user_id |
integer|null | No | ||
sender_name |
string|null
max: 191 |
No | ||
sender_email |
string|null
max: 191 |
No | ||
snooze_hours |
integer|null
24, 72, 168, |
No | ||
clear_snooze |
boolean|null | No | ||
confirm_without_reply |
boolean|null | No | ||
close_reason |
string|null
answered_elsewhere, not_a_customer_question, duplicate, spam_or_vendor, other, |
No | ||
close_note |
string|null
max: 500 |
No |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/update" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"ticket_id": 0,
"status": "string",
"priority": "string",
"assigned_to": "string",
"channel_id": "string",
"project_id": "string",
"ticket_project_id": "string",
"user_id": "string",
"sender_name": "string",
"sender_email": "string",
"snooze_hours": "string",
"clear_snooze": "string",
"confirm_without_reply": "string",
"close_reason": "string",
"close_note": "string"
}'
fetch('https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/update', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ticket_id": 0,
"status": "string",
"priority": "string",
"assigned_to": "string",
"channel_id": "string",
"project_id": "string",
"ticket_project_id": "string",
"user_id": "string",
"sender_name": "string",
"sender_email": "string",
"snooze_hours": "string",
"clear_snooze": "string",
"confirm_without_reply": "string",
"close_reason": "string",
"close_note": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/update', {
"ticket_id": 0,
"status": "string",
"priority": "string",
"assigned_to": "string",
"channel_id": "string",
"project_id": "string",
"ticket_project_id": "string",
"user_id": "string",
"sender_name": "string",
"sender_email": "string",
"snooze_hours": "string",
"clear_snooze": "string",
"confirm_without_reply": "string",
"close_reason": "string",
"close_note": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"ticket_id": 0,
"status": "string",
"priority": "string",
"assigned_to": "string",
"channel_id": "string",
"project_id": "string",
"ticket_project_id": "string",
"user_id": "string",
"sender_name": "string",
"sender_email": "string",
"snooze_hours": "string",
"clear_snooze": "string",
"confirm_without_reply": "string",
"close_reason": "string",
"close_note": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/update", headers=headers, json=data)
print(r.json())